Commit e4139f37 authored by Tristan Van Berkom's avatar Tristan Van Berkom
Browse files

Introspect lowest possible GTK+ dependancy if the dependancy information is missing

* gladeui/glade-project.c: Added algorythm to introspect lowest possible
version of GTK+ to depend on for a project, this helps cases where the
versioning data is missing, instead of defaulting to latest which may
cause problems for people specifically targetting GTK+ 2.12 (bug 586046).

* plugins/gtk+/gtk+.xml.in: Mark accel-groups property as since GTK+ 2.16.
parent 0620f1e7
......@@ -3,6 +3,13 @@
* gladeui/glade-app.c, gladeui/Makefile.am: Find quartz specific runtime prefix
using ige_mac_bundle_get_path().
* gladeui/glade-project.c: Added algorythm to introspect lowest possible
version of GTK+ to depend on for a project, this helps cases where the
versioning data is missing, instead of defaulting to latest which may
cause problems for people specifically targetting GTK+ 2.12 (bug 586046).
* plugins/gtk+/gtk+.xml.in: Mark accel-groups property as since GTK+ 2.16.
2009-06-20 Tristan Van Berkom <tvb@gnome.org>
* plugins/gtk+/gtk+.xml.in: Make GtkMessageDialog texts translatable (bug 586063)
......
......@@ -341,7 +341,7 @@ embedded in another object</_tooltip>
<properties>
<!-- Virtual accel-groups property to record accel groups -->
<property id="accel-groups" name="Accel Groups" ignore="True" save="False" weight="0.5">
<property id="accel-groups" name="Accel Groups" ignore="True" since="2.16" save="False" weight="0.5">
<parameter-spec>
<type>GladeParamObjects</type>
<value-type>GtkAccelGroup</value-type>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment